Message d'erreur


#1

Bonsoir, voici le message que je reçois sur un portable sous Debian 9

sudo add-apt-repository ppa:vincent-vandevyvre/vvv
[sudo] Mot de passe de lilit51 : 
 
 More info: https://launchpad.net/~vincent-vandevyvre/+archive/ubuntu/vvv
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keybox '/tmp/tmpmwrk531h/pubring.gpg' created
gpg: /tmp/tmpmwrk531h/trustdb.gpg: trustdb created
gpg: key A5ADEEFF89F92A1A: public key "Launchpad PPA for VinsS" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg: no valid OpenPGP data found.

#2

Salut,
Apparemment c’est /etc/apt/trusted.gpg qui pose problème, il te suffit de le renommer.

Source : https://serverfault.com/questions/851724/apt-key-add-on-debian-stretch-no-valid-openpgp-data-found


#3

Merci pour la réponse, mais ne maîtrisant pas bien l’anglais, je ne comprends pas bien les subtilités des infos sur le lien fourni…
Pouvez vous me précise comment effectuer : “… c’est /etc/apt/trusted.gpg qui pose problème, il te suffit de le renommer.”
D’avance merci…


#4

Tu fais :
sudo cp /ect/apt/trusted.gpg /ect/apt/trusted.gpg.bak (pour backup)

ensuite :
sudo rm /ect/apt/trusted.gpg

Après, tu pourras refaire tes manip.


#5
sudo cp /ect/apt/trusted.gpg /ect/apt/trusted.gpg.bak
[sudo] Mot de passe de lilit51 : 
cp: impossible d'évaluer '/ect/apt/trusted.gpg': Aucun fichier ou dossier de ce type

#6

Fais nous le retour de la commande suivante :

ls -la /etc/apt/

En plus simple avec la commande mv :

mv /etc/apt/trusted.gpg /etc/apt/trusted.gpg.bak

#7

Voici les retours :
lilit51@lilit:~$ ls -la /etc/apt/
total 36
drwxr-xr-x 6 root root 4096 mai 14 12:07 .
drwxr-xr-x 120 root root 4096 mai 16 17:55 …
drwxr-xr-x 2 root root 4096 mai 16 00:13 apt.conf.d
-rw-r–r-- 1 root root 104 mai 10 23:54 listchanges.conf
drwxr-xr-x 2 root root 4096 jan 18 11:42 preferences.d
-rw-r–r-- 1 root root 743 mai 16 01:09 sources.list
-rw-r–r-- 1 root root 0 mai 10 23:14 sources.list~
drwxr-xr-x 2 root root 4096 mai 14 12:12 sources.list.d
-rw-r–r-- 1 root root 743 mai 16 01:09 sources.list.save
drwxr-xr-x 2 root root 4096 mai 14 23:54 trusted.gpg.d
lilit51@lilit:~$

mv /etc/apt/trusted.gpg /etc/apt/trusted.gpg.bak
mv: impossible d’évaluer ‘/etc/apt/trusted.gpg’: Aucun fichier ou dossier de ce type


#9

This PPA currently publishes packages for Disco, Cosmic, Bionic, Artful, Zesty, Yakkety, Xenial, Wily, Vivid, Utopic, Trusty, and Precise.

en gros t’es sur que c’est compatible Debian ?


#10

A priori oui : http://oqapy.eu/download?lang=fr


#11

La commande ls -la permet de lister lecontenu de _/etc/apt.
Tu vois très bien qu’il n’y a pas de trusted.gpg, donc pourquoi vouloir le renommer ?

C’est logique !!!

Du PPA sur Debian, en effet … je sais qu’il fut un temps je m’en servais pour des paquets pour imprimante canon, mais ça c’était avant :smiley:

Pour en revenir à notre problème Darktable est sans doute une alternative sérieuse et au moins packagé pour Debian.


#12

Problème résolu !
4 paquets installés via dpkg…
qArte fonctionne à merveille
Un grand merci à tous